[arch-commits] Commit in python-pynamecheap/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Tue Nov 10 05:04:40 UTC 2020


    Date: Tuesday, November 10, 2020 @ 05:04:40
  Author: foutrelis
Revision: 749278

archrelease: copy trunk to community-staging-any

Added:
  python-pynamecheap/repos/community-staging-any/
  python-pynamecheap/repos/community-staging-any/PKGBUILD
    (from rev 749277, python-pynamecheap/trunk/PKGBUILD)

----------+
 PKGBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

Copied: python-pynamecheap/repos/community-staging-any/PKGBUILD (from rev 749277, python-pynamecheap/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-10 05:04:40 UTC (rev 749278)
@@ -0,0 +1,32 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-pynamecheap
+pkgver=0.0.3
+pkgrel=5
+pkgdesc="Namecheap API client in Python"
+url="https://github.com/Bemmu/PyNamecheap"
+license=('MIT')
+arch=('any')
+depends=('python-requests')
+makedepends=('python-setuptools')
+checkdepends=('python-nose')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/Bemmu/PyNamecheap/archive/v$pkgver.tar.gz")
+sha512sums=('9de6f09c76a85a67269465cb1e270f5533fa84983a220ba855b04d03924e2308b9267f212cc2e4811e7e4fb3542e1c1194a74e4ed7ffd253704d7a394d5e1bb2')
+
+build() {
+  cd PyNamecheap-$pkgver
+  python setup.py build
+}
+
+check() {
+  # Needs an account
+
+  cd PyNamecheap-$pkgver
+  python setup.py nosetests || echo "Tests failed"
+}
+
+package() {
+  cd PyNamecheap-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}


More information about the arch-commits mailing list